#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           wooting-udev-rules
Version:        0.0.1
Release:        1.1
Summary:        Udev rules to use Wooting from normal users
License:        MIT
URL:            https://wooting.io
#
# based on https://github.com/KyleGospo/wooting-udev-rules
# plus the generic rule from
# https://help.wooting.io/article/147-configuring-device-access-for-wootility-under-linux-udev-rules
#
Source1:        80-wooting.rules
Source2:        80-wooting-xpad.rules
Source3:        wooting-xinput@.service
#
BuildRequires:  pkgconfig(udev)
BuildRequires:  pkgconfig(systemd)
BuildArch:      noarch
#
%description
udev rules to use Wooting tools from normal users.

%if %{with gamepad}
%package gamepad
Summary:        Additional files for the gamepad support
URL:            https://help.wooting.io/article/93-configuring-xinput-support-for-linux
%description gamepad
udev rules to use Wooting tools from normal users.

This package adds the required files for gamepad support.
%endif

%prep

%build

%install
install -D -m 0644 -t %{buildroot}%{_udevrulesdir} ${RPM_SOURCE_DIR}/80-wooting.rules

%if %{with gamepad}
install -D -m 0644 -t %{buildroot}%{_udevrulesdir} ${RPM_SOURCE_DIR}/80-wooting-xpad.rules
install -D -m 0644 -t %{buildroot}%{_unitdir}      ${RPM_SOURCE_DIR}/*.service
%endif

%files
%{_udevrulesdir}/80-wooting.rules

%if %{with gamepad}
%pre gamepad
%service_add_pre wooting-xinput@.service

%preun gamepad
%service_del_preun wooting-xinput@.service

%post gamepad
%service_add_post wooting-xinput@.service

%postun gamepad
%service_del_postun wooting-xinput@.service

%files gamepad
%{_udevrulesdir}/80-wooting-xpad.rules
%{_unitdir}/wooting-xinput@.service
%endif

%changelog
* Fri Jul 26 2024 Marcus Rueckert <mrueckert@suse.de>
- initial package
